SkinMarketCap API
Collections

Get collection

One CS2 collection with every item in it. Costs 1 credit.

GET
/v1/collections/{slug}

Authorization

x-api-key<token>

In: header

Path Parameters

slug*string

The collection's slug, as /v1/collections and an item's collections give it

Length1 <= length <= 200

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/collections/{slug}"
{  "slug": "the-2021-train-collection",  "name": "The 2021 Train Collection",  "image": "https://cdn.steamstatic.com/apps/730/icons/econ/set_icons/set_train_2021.a000b6d4ae1978aeced8ec31aa8ef5a0014dae29.png",  "releaseDate": "2021-09-22",  "itemCount": 21,  "minPrice": 119,  "maxPrice": 774503,  "rarities": [    {      "name": "Mil-Spec Grade",      "color": "#4b69ff",      "count": 7    },    {      "name": "Covert",      "color": "#eb4b4b",      "count": 6    },    {      "name": "Restricted",      "color": "#8847ff",      "count": 5    }  ],  "items": [    {      "slug": "glock-18-gamma-doppler-emerald",      "name": "Glock-18 | Gamma Doppler",      "type": "skin",      "weapon": "Glock-18",      "image": "https://community.akamai.steamstatic.com/economy/image/i0CoZ81Ui0m-9KwlBY1L_18myuGuq1wfhWSaZgMttyVfPaERSR0Wqmu7LAocGIGz3UqlXOLrxM-vMGmW8VNxu5Dx60noTyL2kpnj9h1a4s2rZaF_IfyXMWqR0-x6tehzSi2MkhEosDa6lob-KT-JPwZzA5J4F-8Mt0a-ktTvNeyws1PfjIsQyiX9h3gYvSpr5bwFWash-7qX0V9IgS2WPw",      "rarity": {        "name": "Covert",        "color": "#eb4b4b"      },      "phase": "Emerald",      "inspectLink": "steam://run/730//+csgo_econ_action_preview%2000180420DF0828063004380005D378D4",      "minPrice": 17524,      "maxPrice": 744527,      "collections": [        {          "slug": "the-2021-train-collection",          "name": "The 2021 Train Collection"        }      ],      "crates": [],      "qualities": [        {          "quality": "normal",          "minPrice": 17524,          "maxPrice": 37673        },        {          "quality": "souvenir",          "minPrice": 43482,          "maxPrice": 744527        }      ],      "listings": 802,      "variantCount": 10    }  ]}